Index: trunk/ab5.0/abdev/abdev/src/MainFrame.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 616)
+++ trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 618)
@@ -88,5 +88,5 @@
 
 	//プロジェクトを閉じる
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		if(!CloseProject()) return;
 	}
@@ -446,5 +446,5 @@
 		lstrcpy(temporary,NewFileName);
 		if(!strstr(temporary,".")) lstrcat(temporary,".ab");
-		GetFullPath(temporary,ProjectInfo.dir);
+		GetFullPath(temporary,projectInfo.dir);
 	}
 	else bAddToProject=0;
@@ -521,5 +521,5 @@
 void MainFrame::OnCmdProjectFolderOpen( UINT uNotifyCode, int nID, CWindow wndCtl )
 {
-	ShellExecute(m_hWnd,"explore",ProjectInfo.dir,NULL,NULL,SW_SHOWNORMAL);
+	ShellExecute(m_hWnd,"explore",projectInfo.dir,NULL,NULL,SW_SHOWNORMAL);
 }
 
@@ -550,5 +550,5 @@
 		if(MdiInfo[i].hwnd) SaveDocument(MdiInfo[i].hwnd,NULL);
 	}
-	if(ProjectInfo.name[0]) SaveProject();
+	if(projectInfo.name[0]) SaveProject();
 }
 
@@ -935,10 +935,10 @@
 
 	HWND hChild = ::GetWindow(hClient,GW_CHILD);
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		//プロジェクトが開かれている場合
 		if(!SetProjectToRun()) return;
 
 		//デバッグ用のコマンドライン及び実行可能ファイル（DLLのみ）
-		sprintf(temporary,"%s\r\n%s",ProjectInfo.szExePath,ProjectInfo.szCmdLine);
+		sprintf(temporary,"%s\r\n%s",projectInfo.szExePath,projectInfo.szCmdLine);
 		sprintf(temp2,"%spgm.tmp",pj_editor_Dir);
 		HANDLE hFile=CreateFile(temp2,GENERIC_WRITE,0,NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_ARCHIVE|FILE_ATTRIBUTE_HIDDEN|FILE_ATTRIBUTE_TEMPORARY,NULL);
@@ -948,9 +948,9 @@
 
 		//ソースファイル名をtemp2へ
-		ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
+		projectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
 
 		//出力ファイル名をtemp3へ
-		lstrcpy(temp3,ProjectInfo.lpszOutput_Debug);
-		GetFullPath(temp3,ProjectInfo.dir);
+		lstrcpy(temp3,projectInfo.lpszOutput_Debug);
+		GetFullPath(temp3,projectInfo.dir);
 
 		if(IsNeedCompileForProject(1))
@@ -960,14 +960,14 @@
 
 		// DLLオプション
-		if(ProjectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
+		if(projectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
 
 		// SLLオプション
-		if( ProjectInfo.dwModuleType == MT_SLL ) lstrcat( temporary, " /static_library" );
+		if( projectInfo.dwModuleType == MT_SLL ) lstrcat( temporary, " /static_library" );
 
 		//Unicodeオプション
-		if(ProjectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
+		if(projectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
 
 		//ブレークポイントをセーブ
-		ProjectInfo.pobj_DBBreakPoint->SaveToTempFile();
+		projectInfo.pobj_DBBreakPoint->SaveToTempFile();
 	}
 	else{
@@ -1015,22 +1015,22 @@
 
 	HWND hChild=::GetWindow(hClient,GW_CHILD);
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		//プロジェクトが開かれている場合
 		if(!SetProjectToRun()) return;
 
 		//ソースファイル名をtemp2へ
-		ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
+		projectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
 
 		//出力ファイル名をtemp3へ
-		lstrcpy(temp3,ProjectInfo.lpszOutput_Debug);
-		GetFullPath(temp3,ProjectInfo.dir);
+		lstrcpy(temp3,projectInfo.lpszOutput_Debug);
+		GetFullPath(temp3,projectInfo.dir);
 
 		sprintf(temporary,"\"%s\" \"%s\" /debug /wnd:%08x",temp2,temp3,m_hWnd);
 
 		//DLLオプション
-		if(ProjectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
+		if(projectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
 
 		//Unicodeオプション
-		if(ProjectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
+		if(projectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
 	}
 	else{
@@ -1126,22 +1126,22 @@
 
 	HWND hChild=::GetWindow(hClient,GW_CHILD);
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		//プロジェクトが開かれている場合
 		if(!SetProjectToRun()) return;
 
 		//ソースファイル名をtemp2へ
-		ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
+		projectInfo.pobj_DBFileInfo->ppobj_FileInfo[0]->GetFullPath(temp2);
 
 		//出力ファイル名をtemp3へ
-		lstrcpy(temp3,ProjectInfo.lpszOutput_Release);
-		GetFullPath(temp3,ProjectInfo.dir);
+		lstrcpy(temp3,projectInfo.lpszOutput_Release);
+		GetFullPath(temp3,projectInfo.dir);
 
 		sprintf(temporary,"\"%s\" \"%s\" /wnd:%08x",temp2,temp3,m_hWnd);
 
 		//DLLオプション
-		if(ProjectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
+		if(projectInfo.dwModuleType==MT_DLL) lstrcat(temporary," /dll");
 
 		//Unicodeオプション
-		if(ProjectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
+		if(projectInfo.dwOption & PJ_OP_UNICODE) lstrcat(temporary," /unicode");
 	}
 	else{
@@ -1182,5 +1182,5 @@
 
 	HWND hChild=::GetWindow(hClient,GW_CHILD);
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 /*						//プロジェクトが開かれている場合
 		if(!SetProjectToRun()) return;
@@ -1190,10 +1190,10 @@
 			SendMessage(WM_COMMAND,IDM_RELEASECOMPILE,0);*/
 
-		if(ProjectInfo.dwModuleType==MT_DLL){
-			lstrcpy(temporary,ProjectInfo.szExePath);
+		if(projectInfo.dwModuleType==MT_DLL){
+			lstrcpy(temporary,projectInfo.szExePath);
 		}
 		else{
-			lstrcpy(temporary,ProjectInfo.lpszOutput_Debug);
-			GetFullPath(temporary,ProjectInfo.dir);
+			lstrcpy(temporary,projectInfo.lpszOutput_Debug);
+			GetFullPath(temporary,projectInfo.dir);
 		}
 	}
@@ -1236,6 +1236,6 @@
 void MainFrame::OnCmdBreakPoint( UINT uNotifyCode, int nID, CWindow wndCtl )
 {
-	if(ProjectInfo.name[0]){
-		ProjectInfo.pobj_DBBreakPoint->Event_BreakPoint();
+	if(projectInfo.name[0]){
+		projectInfo.pobj_DBBreakPoint->Event_BreakPoint();
 	}
 	else{
